
#include <RelGILLock.h>


//Use this class in a c++ funktion that is called from python :   python => c++

PyRelinquishGIL::PyRelinquishGIL()
    : m_thread_state(PyEval_SaveThread()) {
}

PyRelinquishGIL::~PyRelinquishGIL() {
    PyEval_RestoreThread(m_thread_state);
    m_thread_state= NULL;
}


